import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { AppointmentProcedureCreateManyNpiProviderInputObjectSchema as AppointmentProcedureCreateManyNpiProviderInputObjectSchema } from './AppointmentProcedureCreateManyNpiProviderInput.schema'

const makeSchema = () => z.object({
  data: z.union([z.lazy(() => AppointmentProcedureCreateManyNpiProviderInputObjectSchema), z.lazy(() => AppointmentProcedureCreateManyNpiProviderInputObjectSchema).array()]),
  skipDuplicates: z.boolean().optional()
}).strict();
export const AppointmentProcedureCreateManyNpiProviderInputEnvelopeObjectSchema: z.ZodType<Prisma.AppointmentProcedureCreateManyNpiProviderInputEnvelope> = makeSchema() as unknown as z.ZodType<Prisma.AppointmentProcedureCreateManyNpiProviderInputEnvelope>;
export const AppointmentProcedureCreateManyNpiProviderInputEnvelopeObjectZodSchema = makeSchema();
